Package jaxe

# Class JaxeTransferHandler

java.lang.Object
javax.swing.TransferHandler
jaxe.JaxeTransferHandler

All Implemented Interfaces:
  `Serializable`

public class JaxeTransferHandler extends TransferHandler
TransferHandler qui gère les strings, les fragments XML et les images d'un JaxeTextPane. Utilisé pour toutes les opérations sur le presse-papier de JaxeTextPane, et pour les glisser-déposer.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.TransferHandler

`TransferHandler.DropLocation, TransferHandler.TransferSupport`

## Field Summary

### Fields inherited from class javax.swing.TransferHandler

`COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

## Constructor Summary

Constructors
Constructor
Description
`JaxeTransferHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canImport(JComponent comp, DataFlavor[] transferFlavors)`
`protected Transferable`
`createTransferable(JComponent comp)`
`protected void`
`exportDone(JComponent source, Transferable data, int action)`
`int`
`getSourceActions(JComponent c)`
`boolean`
`importData(JComponent comp, Transferable t)`

### Methods inherited from class javax.swing.TransferHandler

`canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JaxeTransferHandler

public JaxeTransferHandler()

## Method Details

### canImport

public boolean canImport(JComponent comp, DataFlavor[] transferFlavors)

Overrides:
  `canImport` in class `TransferHandler`

### createTransferable

protected Transferable createTransferable(JComponent comp)

Overrides:
  `createTransferable` in class `TransferHandler`

### exportDone

protected void exportDone(JComponent source, Transferable data, int action)

Overrides:
  `exportDone` in class `TransferHandler`

### getSourceActions

public int getSourceActions(JComponent c)

Overrides:
  `getSourceActions` in class `TransferHandler`

### importData

public boolean importData(JComponent comp, Transferable t)

Overrides:
  `importData` in class `TransferHandler`